Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet.jetty
Class AbstractConnectorHolder<S extends Servlet,R extends MessageReceiver>

    java.lang.Object
      org.mule.transport.servlet.jetty.AbstractConnectorHolder<S,R>

All Implemented Interfaces:
  ConnectorHolder<S,R>

Direct Known Subclasses:
  JettyHttpConnector.MuleReceiverConnectorHolder

    public abstract class AbstractConnectorHolder<S extends Servlet,R extends MessageReceiver>

extends Object
implements ConnectorHolder<S,R>

TODO

Field Summary
`protected org.mortbay.jetty.Connector` | `connector`
`protected Log` | `logger` logger used by this class
`protected S` | `servlet`
`protected boolean` | `started`

Constructor Summary
`AbstractConnectorHolder(org.mortbay.jetty.Connector connector, S servlet, R receiver)`

Method Summary
`org.mortbay.jetty.Connector` | `getConnector()`
`S` | `getServlet()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.transport.servlet.jetty.ConnectorHolder
`addReceiver, isReferenced, removeReceiver`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

### connector

    protected org.mortbay.jetty.Connector connector

### servlet

    protected S extends Servlet servlet

### started

    protected boolean started

Constructor Detail

### AbstractConnectorHolder

    public AbstractConnectorHolder(org.mortbay.jetty.Connector connector,
                                   S servlet,
                                   R receiver)

Method Detail

### getServlet

    public S getServlet()

  Specified by:
    `getServlet` in interface `ConnectorHolder<S extends Servlet,R extends MessageReceiver>`

### getConnector

    public org.mortbay.jetty.Connector getConnector()

  Specified by:
    `getConnector` in interface `ConnectorHolder<S extends Servlet,R extends MessageReceiver>`

### start

    public void start()
               throws MuleException

  Specified by:
    `start` in interface `ConnectorHolder<S extends Servlet,R extends MessageReceiver>`
  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Specified by:
    `stop` in interface `ConnectorHolder<S extends Servlet,R extends MessageReceiver>`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.